Loading...
Searching...
No Matches
Halide::Param< T > Class Template Reference

A scalar parameter to a halide pipeline. More...

`#include <Param.h>`

## Detailed Description

template<typename T = void>
class Halide::Param< T >

A scalar parameter to a halide pipeline.

If you're jitting, this should be bound to an actual value of type T using the set method before you realize the function uses this. If you're statically compiling, this param should appear in the argument list.

Examples
  tutorial/lesson_10_aot_compilation_generate.cpp, and tutorial/lesson_11_cross_compilation.cpp.

Definition at line 22 of file Param.h.

The documentation for this class was generated from the following file:

- src/Param.h